INTERFACE
SUBROUTINE m7_dgas&
 & ( kidia , kfdia , klon , klev,&
 & pso4g , paerml, paernl,&
 & ptp1 , papp1 , pm6rp ,&
 & pso4_5, pso4_6, pso4_7,&
 & pdz ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YO_AERO_M7,ONLY : wh2so4, rerg,&
 & fmax, caccso4,&
 & nmod, naermod,&
 & iso4ns, iso4ks, iso4as, iso4cs 
INTEGER(KIND=JPIM),INTENT(IN) :: kidia, kfdia, klon, klev
REAL(KIND=JPRB),INTENT(IN) :: ptp1(klon ,klev), papp1(klon ,klev) ,&
 & pdz(klon ,klev) , pm6rp(klon ,klev,nmod) 
REAL(KIND=JPRB),INTENT(OUT):: paernl(klon ,klev,nmod), paerml(klon ,klev,naermod),&
 & pso4_5(klon ,klev) ,&
 & pso4_6(klon ,klev) , pso4_7(klon ,klev) 
REAL(KIND=JPRB),INTENT(INOUT)::pso4g(klon ,klev)
END SUBROUTINE m7_dgas
END INTERFACE
